Internet Explorer is no longer supported. Many things will still work, but your experience will be degraded and some things won't function. Please use a modern browser such as Edge, Chrome, or Firefox.

Audit Image

view on GitHub

Audit Image is available as both a pgutil command and an HTTP Request, and will audit a specified image for vulnerabilities and provide a report.

Command Specification (CLI)

The containers audit command is used to audit an image.

The --image and --feed options are always required.

Auditing an image requires the feed name (e.g. MyDockerFeed), repo, and tag (e.g. mycontainer/mycontainer-ee:10.1.1-ee.0):

pgutil containers audit --image=mycontainer/mycontainer-ee:10.1.1-ee.0 --feed=myDockerFeed

HTTP Request Specification

To audit an image, simply GET to the URL with the following query arguments:

GET /api/containers/images/audit?feed=<feed name>&tagOrDigest=<full tag or digest>

tagOrDigest may be a full tag in the <repo>:<tag> format, or it may be a full image digest.

HTTP Response Specification

An AuditContainerInfo object will be returned on a successful 200 response. A 403 response indicates a missing, unknown, or unauthorized API Key.